package com.zd.laboratory.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.zd.common.core.annotation.Excel;
import com.zd.laboratory.domain.LabNotifyplan;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.Length;

import java.util.Date;
import java.util.List;

/**
 * Controller
 *
 * @author zd
 * @date 2022/2/16
 */
@ApiModel("大屏通知计划表")
public class LabNotifyplanExcelVO{
    /** 通知内容 */
    @Excel(name = "工作内容")
    @Length(message = "通知内容长度不能超过1000")
    @ApiModelProperty(value = "通知内容")
    private String content;


    /** 执行单位 */
    @Excel(name = "执行单位")
    @Length(message = "执行单位长度不能超过100")
    @ApiModelProperty(value = "执行单位")
    private String company;


    /** 执行日期 */
    @Excel(name = "执行日期", dateFormat = "yyyy-MM-dd", prompt = "格式如：2022-03-03")
    @Length(message = "执行日期长度不能超过100")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(value = "执行日期")
    private Date createDate;

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getCompany() {
        return company;
    }

    public void setCompany(String company) {
        this.company = company;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }
}
